<%--
  ~ Copyright (C) 2016 Agiletestware LLC
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~ http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  --%>
<%@page import="com.agiletestware.bumblebee.teamcity.server.BumblebeeConfigurationController"%>
<%@ include file="/include.jsp" %>
<%@include file="bumblebeeConstants.jsp" %>
<%@ taglib prefix="admin" tagdir="/WEB-INF/tags/admin" %>
<%@ taglib prefix="forms" tagdir="/WEB-INF/tags/forms" %>

<jsp:useBean id="bumblebeeSettings" scope="request" type="com.agiletestware.bumblebee.teamcity.server.GlobalSettings"/>
<bs:linkCSS dynamic="true">
  /css/admin/adminMain.css
  /css/admin/serverConfig.css
  ${teamcityPluginResourcesPath}css/bumblebeeAdmin.css
</bs:linkCSS>
<bs:linkScript>
    ${teamcityPluginResourcesPath}js/bumblebeeAdmin.js
</bs:linkScript>

<c:url value="<%=BumblebeeConfigurationController.CONTROLLER_PATH %>" var="url"/>
<div id="settingsContainer">
  <form action="${url}" method="post" onsubmit="return Bumblebee.SettingsForm.submitSettings();">
  <div class="editNotificatorSettingsPage">
  <bs:messages key="settingsSaved"/>  
  <table class="runnerFormTable">
   <tr>
      <th><label for="port">Bumblebee URL: <l:star/></label></th>
      <td>
        <forms:textField id="bumblebeeUrl" name="${BUMBLEBEE_URL}" value="${bumblebeeSettings.bumblebeeUrl}"/>
        <span class="error" id="errorBumblebeeUrl"></span>
        <span class="smallNote">The URL for the Bumblebee web service. http://&lt;ip address&gt;:&lt;port&gt;/bumblebee</span>
      </td>
    </tr>
    <tr>
      <th><label for="server">HP ALM URL: </label></th>
      <td>
        <forms:textField id="almUrl" name="${ALM_URL}" value="${bumblebeeSettings.almUrl}"/>        
        <span class="error" id="errorAlmUrl"></span>
        <span class="smallNote">HP ALM URL. Usually http://&lt;ip address&gt;:&lt;port&gt;/qcbin</span>
      </td>
    </tr>
    
     <tr>
      <th><label for="server">HP PC URL: </label></th>
      <td>
        <forms:textField id="pcUrl" name="${PC_URL}" value="${bumblebeeSettings.pcUrl}"/>        
        <span class="error" id="errorPcUrl"></span>
        <span class="smallNote">URL of HP Performance Center. Leave it empty if you won't be using plugin for running tests in HP Performance Center</span>
      </td>
    </tr>

    <tr>
      <th><label for="username">HP ALM User: </label></th>
      <td>
        <forms:textField id="user" name="${ALM_USER}" value="${bumblebeeSettings.user}"/>
        <span class="error" id="errorUser"></span>
        <span class="smallNote">HP ALM User Name.</span>
        
      </td>
    </tr>

    <tr>
      <th><label for="password">HP ALM User Password: </label></th>
      <td>
      	<input type="password" id="password" name="${ALM_ENCRYPTED_PASSWORD}" value="${bumblebeeSettings.encryptedPassword}"/>        
        <span class="error" id="errorPassword"></span>
        <span class="smallNote">HP ALM user's password.</span>
      </td>
    </tr>
    
    <tr>
      <th><label for="username">UFT Batch Runner: </label></th>
      <td>
        <forms:textField id="uftRunnerPath" name="${UFT_RUNNER_PATH}" value="${bumblebeeSettings.uftRunnerPath}"/>
        <span class="error" id="errorUftRunnerPath"></span>
        <span class="smallNote">The path to the <em>UFT Batch Runner</em> (UFTBatchRunnerCMD.exe)</span>        
      </td>
    </tr>

    <tr>
      <th><label for="timeout">Upload timeout: </label></th>
       <td>
        <forms:textField name="${TIMEOUT}" value="${bumblebeeSettings.timeout}"/>
        <span class="error" id="error_${TIMEOUT}"></span>
        <span class="smallNote">The number of minutes to wait for the Bumblebee server to process the request. 0 means wait indefinitely.</span>
      </td>
    </tr>
     <tr>
      <th><label for="timeout">PC Timeout: </label></th>
       <td>
        <forms:textField name="${PC_GLOBAL_TIMEOUT}" value="${bumblebeeSettings.pcTimeout}"/>
        <span class="error" id="error_${PC_GLOBAL_TIMEOUT}"></span>
        <span class="smallNote">The number of minutes to wait for the Performance Center test to finish. 0 means wait indefinitely.</span>
      </td>
    </tr>    
  </table>
    <div class="saveButtonsBlock">
      <forms:submit type="submit" label="Save"/>
      <input type="hidden" id="submitSettings" name="submitSettings" value="store"/>      
      <forms:saving/>
    </div>
  </div>
  </div>
  </form>
</div>
<forms:modified/>