<%--
  ~ Copyright (C) 2016 Agiletestware LLC
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~ http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  --%>
<%@ taglib prefix="props" tagdir="/WEB-INF/tags/props" %>
<%@ taglib prefix="l" tagdir="/WEB-INF/tags/layout" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="forms" tagdir="/WEB-INF/tags/forms" %>
<%@include file="bumblebeeConstants.jsp" %>
<jsp:useBean id="propertiesBean" scope="request" type="jetbrains.buildServer.controllers.BasePropertiesBean"/>
<l:settingsGroup title="Bumblebee configuration">
	<tr> 
	   <th>Domain: <l:star/></th>
	   <td>
	   		<props:textProperty name="${ALM_DOMAIN}" value="${propertiesBean.properties[ALM_DOMAIN]}" className="longField"/>
	   		<span class="error" id="error_${ALM_DOMAIN}"></span>
	   		<span class="smallNote">The domain name in HP ALM</span>
	   </td>   	
	</tr>
	<tr> 
	   <th>Project: <l:star/></th>
	   <td>
	   		<props:textProperty name="${ALM_PROJECT}" value="${propertiesBean.properties[ALM_PROJECT]}" className="longField"/>
	   		<span class="error" id="error_${ALM_PROJECT}"></span>
	   		<span class="smallNote">The project name in HP ALM</span>	   		
	   </td>   	
	</tr>		
	<tr> 
	   <th>Test Plan Path: <l:star/></th>
	   <td>
	   		<props:textProperty name="${ADD_TEST_TO_SET_TEST_PLAN_PATH}" value="${propertiesBean.properties[ADD_TEST_TO_SET_TEST_PLAN_PATH]}" className="longField"/>
	   		<span class="error" id="error_${ADD_TEST_TO_SET_TEST_PLAN_PATH}"></span>
	   		<span class="smallNote">The path to a test or test folder in HP ALM Test Plan which needs to be added to a test set</span>	   		
	   </td>   	
	</tr>
	<tr> 
	   <th>Test Set Path: <l:star/></th>
	   <td>
	   		<props:textProperty name="${ADD_TEST_TO_SET_TEST_SET_PATH}" value="${propertiesBean.properties[ADD_TEST_TO_SET_TEST_SET_PATH]}" className="longField"/>
	   		<span class="error" id="error_${ADD_TEST_TO_SET_TEST_SET_PATH}"></span>
	   		<span class="smallNote">The path to a test set in HP ALM Test Lab to add tests into it</span>	   		
	   </td>   	
	</tr>
 </l:settingsGroup>
   