<%--
  ~ Copyright (C) 2016 Agiletestware LLC
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~ http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  --%>
<%@ taglib prefix="props" tagdir="/WEB-INF/tags/props" %>
<%@ taglib prefix="l" tagdir="/WEB-INF/tags/layout" %>
<%@ taglib prefix="admin" tagdir="/WEB-INF/tags/admin" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="bs" tagdir="/WEB-INF/tags" %>
<%@include file="bumblebeeConstants.jsp" %>
<jsp:useBean id="propertiesBean" scope="request" type="jetbrains.buildServer.controllers.BasePropertiesBean"/>
<l:settingsGroup title="Bumblebee configuration">
	<tr> 
	   <th>Domain: <l:star/></th>
	   <td>
	   		<props:textProperty name="${ALM_DOMAIN}" value="${propertiesBean.properties[ALM_DOMAIN]}" className="longField"/>
	   		<span class="error" id="error_${ALM_DOMAIN}"></span>
	   		<span class="smallNote">The domain name in HP ALM</span>
	   </td>   	
	</tr>
	<tr> 
	   <th>Project: <l:star/></th>
	   <td>
	   		<props:textProperty name="${ALM_PROJECT}" value="${propertiesBean.properties[ALM_PROJECT]}" className="longField"/>
	   		<span class="error" id="error_${ALM_PROJECT}"></span>
	   		<span class="smallNote">The project name in HP ALM</span>	   		
	   </td>   	
	</tr>
	<tr> 
	   <th>Test Plan: <l:star/></th>
	   <td>
	   		<props:textProperty name="${ALM_TEST_PLAN}" value="${propertiesBean.properties[ALM_TEST_PLAN]}" className="longField"/>
	   		<span class="error" id="error_${ALM_TEST_PLAN}"></span>
	   		<span class="smallNote">HP ALM Project Test Plan. Example: Subject\Sample\Plan</span>
	   </td>   	
	</tr>	  
	<tr> 
	   <th>Test Lab: <l:star/></th>
	   <td>
	   		<props:textProperty name="${ALM_TEST_LAB}" value="${propertiesBean.properties[ALM_TEST_LAB]}" className="longField"/>
	   		<span class="error" id="error_${ALM_TEST_LAB}"></span>
	   		<span class="smallNote">HP ALM Project Test Plan directory path. Example: Root\Release\2.0</span>
	   </td>   	
	</tr>
	<tr> 
	   <th>Test Set: <l:star/></th>
	   <td>
	   		<props:textProperty name="${ALM_TEST_SET}" value="${propertiesBean.properties[ALM_TEST_SET]}" className="longField"/>
	   		<span class="error" id="error_${ALM_TEST_SET}"></span>
	   		<span class="smallNote">HP ALM Test Set name.</span>
	   </td>   	
	</tr>
	<tr> 
	   <th>Format: <l:star/></th>
	   <td>
	   		<props:textProperty name="${RESULTS_FORMAT}" value="${propertiesBean.properties[RESULTS_FORMAT]}" className="longField"/>
	   		<span class="error" id="error_${RESULTS_FORMAT}"></span>
	   		<span class="smallNote">Format of results file. Bumblebee supports JUnit, NUnit, TestNG, FitNesse formats</span>
	   </td>   	
	</tr>
	<tr> 
	   <th>Results File Pattern: <l:star/></th>
	   <td>
	   		<props:textProperty name="${RESULTS_FILES_PATTERN}" value="${propertiesBean.properties[RESULTS_FILES_PATTERN]}" className="longField"/>
	   		<span class="error" id="error_${RESULTS_FILES_PATTERN}"></span>
	   		<span class="smallNote">Provide path to the XML file(s) generated during the build<br>this is a comma separated list of test result directories.You can also use Ant style patterns such as **/test-reports/*.xml</span>
	   </td>   	
	</tr>
	<tr> 
	   <th>HP ALM Mappings:</th>
	   <td>
	   		<props:textProperty name="${ALM_CUSTOM_MAPPINGS}" value="${propertiesBean.properties[ALM_CUSTOM_MAPPINGS]}" className="longField"/>
	   		<span class="error" id="error_${ALM_CUSTOM_MAPPINGS}"></span>
	   		<span class="smallNote">If ALM Mappings are configured on the Bumblebee server, their values can be specified in this field. The format is [alm field label 1]=[value 1], [alm field label 2]=[value 2]... You can also directly specify the default value on the Bumblebee server</span>
	   </td>   	
	</tr>
	<tr> 
	   <th>Fail build if upload unsuccessful:</th>
	   <td>
	   		<props:checkboxProperty name="${FAIL_IF_UPLOAD_FAILS}" value="${propertiesBean.properties[FAIL_IF_UPLOAD_FAILS]}"/>
	   		<span class="error" id="error_${FAIL_IF_UPLOAD_FAILS}"></span>
	   		<span class="smallNote">If checked, the build will be marked as failed if for any reason the plugin was not able to upload the results. This could be due to Bumblebee server issues, ALM server issues, network issues, etc.</span>
	   </td>   	
	</tr>
	<tr> 
	   <th>Process offline:</th>
	   <td>
	   		<props:checkboxProperty name="${OFFLINE}" value="${propertiesBean.properties[OFFLINE]}"/>
	   		<span class="error" id="error_${OFFLINE_FAILS}"></span>
	   		<span class="smallNote">If checked, Bumblebee will send test reports to the special asynchronous processing queue on the Bumblebee server and processes it afterwards. Use this when upload of test results takes much time and you don't want the build to wait until it finishes</span>
	   </td>   	
	</tr>
 </l:settingsGroup>
   