<%--
  ~ Copyright (C) 2016 Agiletestware LLC
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~ http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  --%>
<%@ taglib prefix="props" tagdir="/WEB-INF/tags/props" %>
<%@ taglib prefix="l" tagdir="/WEB-INF/tags/layout" %>
<%@ taglib prefix="admin" tagdir="/WEB-INF/tags/admin" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="bs" tagdir="/WEB-INF/tags" %>
<%@include file="bumblebeeConstants.jsp" %>
<jsp:useBean id="propertiesBean" scope="request" type="jetbrains.buildServer.controllers.BasePropertiesBean"/>
<l:settingsGroup title="Import HP ALM Test Results">
	<tr> 
	   <th>Domain: <l:star/></th>
	   <td>
	   		<props:textProperty name="${GET_TEST_RESULTS_DOMAIN}" value="${propertiesBean.properties[GET_TEST_RESULTS_DOMAIN]}" className="longField"/>
	   		<span class="error" id="error_${GET_TEST_RESULTS_DOMAIN}"></span>
	   		<span class="smallNote">HP ALM Domain.</span>
	   </td>   	
	</tr>
	<tr> 
	   <th>Project: <l:star/></th>
	   <td>
	   		<props:textProperty name="${GET_TEST_RESULTS_PROJECT}" value="${propertiesBean.properties[GET_TEST_RESULTS_PROJECT]}" className="longField"/>
	   		<span class="error" id="error_${GET_TEST_RESULTS_PROJECT}"></span>
	   		<span class="smallNote">HP ALM Project name.</span>	   		
	   </td>   	
	</tr>
	<tr> 
	   <th>HP ALM User:</th>
	   <td>
	   		<props:textProperty name="${GET_TEST_RESULTS_USER}" value="${propertiesBean.properties[GET_TEST_RESULTS_USER]}" className="longField"/>
	   		<span class="error" id="error_${GET_TEST_RESULTS_USER}"></span>
	   		<span class="smallNote">HP ALM Login Name. If set, this value overrides value from Bumblebee Global Configuration. If empty, value from Bumblebee Global
	         Configuration will be used.</span>
	   </td>   	
	</tr>	  
	<tr> 
	   <th>Password:</th>
	   <td>
	   		<props:passwordProperty name="${GET_TEST_RESULTS_PASSWORD}" className="longField"/>
	   		<span class="error" id="error_${GET_TEST_RESULTS_PASSWORD}"></span>
	   		<span class="smallNote">HP ALM user's password. If set, this value overrides the value from Bumblebee Global Configuration. <br>If empty, value from Bumblebee
	        Global Configuration will be used.</span>
	   </td>   	
	</tr>
	<tr> 
	   <th>Test Set Path: <l:star/></th>
	   <td>
	   		<props:textProperty name="${GET_TEST_RESULTS_TEST_SET_PATH}" value="${propertiesBean.properties[GET_TEST_RESULTS_TEST_SET_PATH]}" className="longField"/>
	   		<span class="error" id="error_${GET_TEST_RESULTS_TEST_SET_PATH}"></span>
	   		<span class="smallNote">Path to a test set in HP ALM which results shall be fetched to Jenkins, e.g.: Root\folder1\folder2\testSet.</span>
	   </td>   	
	</tr>
 </l:settingsGroup>
   