<%--
  ~ Copyright (C) 2016 Agiletestware LLC
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~ http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  --%>
<%@page import="com.agiletestware.bumblebee.pc.PostRunAction"%>
<%@ taglib prefix="props" tagdir="/WEB-INF/tags/props" %>
<%@ taglib prefix="l" tagdir="/WEB-INF/tags/layout" %>
<%@ taglib prefix="admin" tagdir="/WEB-INF/tags/admin" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="bs" tagdir="/WEB-INF/tags" %>
<%@include file="bumblebeeConstants.jsp" %>
<jsp:useBean id="propertiesBean" scope="request" type="jetbrains.buildServer.controllers.BasePropertiesBean"/>
<script type="text/javascript">
BS.local = {
 toggleRetryCollateAndAnalysisSettings:function(){
	$('retryCollateAndAnalysisAttempts').toggle();
	$('retryCollateAndAnalysisInterval').toggle();
}
}

</script>
<l:settingsGroup title="Bumblebee configuration">
	<tr> 
	   <th>Domain: <l:star/></th>
	   <td>
	   		<props:textProperty name="${PC_ALM_DOMAIN}" value="${propertiesBean.properties[PC_ALM_DOMAIN]}" className="longField"/>
	   		<span class="error" id="error_${PC_ALM_DOMAIN}"></span>
	   		<span class="smallNote">The domain name in HP ALM</span>
	   </td>   	
	</tr>
	<tr> 
	   <th>Project: <l:star/></th>
	   <td>
	   		<props:textProperty name="${PC_ALM_PROJECT}" value="${propertiesBean.properties[PC_ALM_PROJECT]}" className="longField"/>
	   		<span class="error" id="error_${PC_ALM_PROJECT}"></span>
	   		<span class="smallNote">The project name in HP ALM</span>	   		
	   </td>   	
	</tr>
	<tr> 
	   <th>Results Directory: <l:star/></th>
	   <td>
	   		<props:textProperty name="${PC_OUTPUT_DIR}" value="${propertiesBean.properties[PC_OUTPUT_DIR]}" className="longField"/>
	   		<span class="error" id="error_${PC_OUTPUT_DIR}"></span>
	   		<span class="smallNote">Directory where Performance Center reports will be placed. Relative to the workspace root. If it does not exist, it will be	created.</span>
	   </td>   	
	</tr>	  
	<tr> 
	   <th>Path To Test: <l:star/></th>
	   <td>
	   		<props:textProperty name="${PC_TEST_PLAN_PATH}" value="${propertiesBean.properties[PC_TEST_PLAN_PATH]}" className="longField"/>
	   		<span class="error" id="error_${PC_TEST_PLAN_PATH}"></span>
	   		<span class="smallNote">Path to a test in HP ALM TestPlan. Must start with Subject\, e.g. Subject\folder1\test1, where Subject\folder1 is a path to test folder and test1 is the name of a test.</span>
	   </td>   	
	</tr>
	<tr> 
	   <th>Test Set: <l:star/></th>
	   <td>
	   		<props:textProperty name="${PC_TEST_LAB_PATH}" value="${propertiesBean.properties[PC_TEST_LAB_PATH]}" className="longField"/>
	   		<span class="error" id="error_${PC_TEST_LAB_PATH}"></span>
	   		<span class="smallNote">Path to a test set in HP ALM TestLab. Must start with Root\, e.g. Root\folder1\testSet1, where Root\folder1 is a path to test lab folder and testSet1 is the name of a test set. Test set will be created if it does not exist.</span>
	   </td>   	
	</tr>
	<tr> 
	   <th>Post Run Action: <l:star/></th>
	   <td>
	   		<props:selectProperty name="${PC_POST_RUN_ACTION}">
	   			<c:set var="selectedAction" value="${propertiesBean.properties[PC_POST_RUN_ACTION]}"/>
	            <c:forEach items="<%=PostRunAction.getLabels()%>" var="action">	            
	              <props:option value="${action}" selected="${action==selectedAction}"><c:out value='${action}'/></props:option>
	            </c:forEach>
         	</props:selectProperty>		   		
	   		<span class="error" id="error_${PC_POST_RUN_ACTION}"></span>
	   		<span class="smallNote">Performance Center Post Run Action.</span>
	   </td>   	
	</tr>
	<tr> 
	   <th>Time Slot Duration: <l:star/></th>
	   <td>
	   		<props:textProperty name="${PC_TIMESLOT_DURATION}" value="${propertiesBean.properties[PC_TIMESLOT_DURATION]}" className="longField"/>
	   		<span class="error" id="error_${PC_TIMESLOT_DURATION}"></span>
	   		<span class="smallNote">Time Slot Duration in minutes.</span>
	   </td>   	
	</tr>
	<tr> 
	   <th>Use VUD Licenses:</th>
	   <td>
	   		<props:checkboxProperty name="${PC_VUDS_MODE}" checked="${propertiesBean.properties[PC_VUDS_MODE]}"/>
	   		<span class="error" id="error_${PC_VUDS_MODE}"></span>
	   		<span class="smallNote">If true, the test consumes Virtual User Day (VUD) licenses.</span>
	   </td>   	
	</tr>
	<tr> 
	   <th>Timeout: <l:star/></th>
	   <td>
	   		<props:textProperty name="${PC_TIMEOUT}" value="${propertiesBean.properties[PC_TIMEOUT]}" className="longField"/>
	   		<span class="error" id="error_${PC_TIMEOUT}"></span>
	   		<span class="smallNote">The number of minutes to wait for the Performance Center test to finish. 0 means wait indefinitely.</span>
	   </td>   	
	</tr>
	<tr> 
	   <th>Retry Attempts: <l:star/></th>
	   <td>
	   		<props:textProperty name="${PC_RETRY_COUNT}" value="${propertiesBean.properties[PC_RETRY_COUNT]}" className="longField"/>
	   		<span class="error" id="error_${PC_RETRY_COUNT}"></span>
	   		<span class="smallNote">Number of retry attempts, before task completely fails.</span>
	   </td>   	
	</tr>
	<tr> 
	   <th>Retry Interval: <l:star/></th>
	   <td>
	   		<props:textProperty name="${PC_RETRY_INTERVAL}" value="${propertiesBean.properties[PC_RETRY_INTERVAL]}" className="longField"/>
	   		<span class="error" id="error_${PC_RETRY_INTERVAL}"></span>
	   		<span class="smallNote">Number of seconds to wait between retry attempts.</span>
	   </td>   	
	</tr>
	<tr> 
	   <th>Interval Increase Factor: <l:star/></th>
	   <td>
	   		<props:textProperty name="${PC_RETRY_INTERVAL_MULTIPLIER}" value="${propertiesBean.properties[PC_RETRY_INTERVAL_MULTIPLIER]}" className="longField"/>
	   		<span class="error" id="error_${PC_RETRY_INTERVAL_MULTIPLIER}"></span>
	   		<span class="smallNote">Increase factor for retry interval. E.g. if it is set to 2, then each subsequent wait interval between attempts will be twice bigger than the previous one.</span>
	   </td>   	
	</tr>
	<tr> 
	   <th>Retry Collate/Analyze:</th>
	   <td>
	   		<props:checkboxProperty name="${PC_RETRY_COLLATE_AND_ANALYSIS_FLAG}" checked="${propertiesBean.properties[PC_RETRY_COLLATE_AND_ANALYSIS_FLAG]}" onclick="BS.local.toggleRetryCollateAndAnalysisSettings()"/>
	   		<span class="error" id="error_${PC_RETRY_COLLATE_AND_ANALYSIS_FLAG}"></span>
	   		<span class="smallNote">Defines if Collate/Analyze phase shall be restarted if they failed.</span>
	   </td>   	
	</tr>
	<c:set var="retryCollateAndAnalysisSettings" value="${propertiesBean.properties[PC_RETRY_COLLATE_AND_ANALYSIS_FLAG]}"/>
	
	<tr id="retryCollateAndAnalysisAttempts" style="${retryCollateAndAnalysisSettings ? '' : 'display: none;'}"> 
	   <th>Collate/Analyze retry attempts:</th>
	   <td>
	   		<props:textProperty name="${PC_RETRY_COLLATE_AND_ANALYSIS_ATTEMPTS}" value="${propertiesBean.properties[PC_RETRY_COLLATE_AND_ANALYSIS_ATTEMPTS]}" className="longField"/>
	   		<span class="error" id="error_${PC_RETRY_COLLATE_AND_ANALYSIS_ATTEMPTS}"></span>
	   		<span class="smallNote">Defines how many times it will retry Collate or Analyze phase if they failed, before task completely fails.</span>
	   </td>   	
	</tr>
	
	<tr id="retryCollateAndAnalysisInterval" style="${retryCollateAndAnalysisSettings ? '' : 'display: none;'}"> 
	   <th>Collate/Analyze retry interval:</th>
	   <td>
	   		<props:textProperty name="${PC_RETRY_COLLATE_AND_ANALYSIS_INTERVAL}" value="${propertiesBean.properties[PC_RETRY_COLLATE_AND_ANALYSIS_INTERVAL]}" className="longField"/>
	   		<span class="error" id="error_${PC_RETRY_COLLATE_AND_ANALYSIS_INTERVAL}"></span>
	   		<span class="smallNote">Number of seconds to wait between retry attempts.</span>
	   </td>   	
	</tr>
	
	<tr> 
	   <th>Polling Interval: <l:star/></th>
	   <td>
	   		<props:textProperty name="${PC_POLLING_INTERVAL}" value="${propertiesBean.properties[PC_POLLING_INTERVAL]}" className="longField"/>
	   		<span class="error" id="error_${PC_POLLING_INTERVAL}"></span>
	   		<span class="smallNote">Test status polling interval in seconds.</span>
	   </td>   	
	</tr>
	<tr> 
	   <th>Fail Build If Task Fails:</th>
	   <td>
	   		<props:checkboxProperty name="${PC_FAIL_IF_TASK_FAILS}" checked="${propertiesBean.properties[PC_FAIL_IF_TASK_FAILS]}"/>
	   		<span class="error" id="error_${PC_FAIL_IF_TASK_FAILS}"></span>
	   		<span class="smallNote">If task shall fail the build in case it fails.</span>
	   </td>   	
	</tr>
 </l:settingsGroup>   