<%--
  ~ Copyright (C) 2016 Agiletestware LLC
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~ http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  --%>
<%@page import="com.agiletestware.bumblebee.teamcity.common.AlmRunMode"%>
<%@ taglib prefix="props" tagdir="/WEB-INF/tags/props" %>
<%@ taglib prefix="l" tagdir="/WEB-INF/tags/layout" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="forms" tagdir="/WEB-INF/tags/forms" %>
<%@include file="bumblebeeConstants.jsp" %>
<jsp:useBean id="propertiesBean" scope="request" type="jetbrains.buildServer.controllers.BasePropertiesBean"/>
<l:settingsGroup title="Bumblebee configuration">
	<tr> 
	   <th>Domain: <l:star/></th>
	   <td>
	   		<props:textProperty name="${ALM_DOMAIN}" value="${propertiesBean.properties[ALM_DOMAIN]}" className="longField"/>
	   		<span class="error" id="error_${ALM_DOMAIN}"></span>
	   		<span class="smallNote">The domain name in HP ALM</span>
	   </td>   	
	</tr>
	<tr> 
	   <th>Project: <l:star/></th>
	   <td>
	   		<props:textProperty name="${ALM_PROJECT}" value="${propertiesBean.properties[ALM_PROJECT]}" className="longField"/>
	   		<span class="error" id="error_${ALM_PROJECT}"></span>
	   		<span class="smallNote">The project name in HP ALM</span>	   		
	   </td>   	
	</tr>		
	<tr> 
	   <th>Test Sets: <l:star/></th>
	   <td>
	   		<props:multilineProperty name="${ALM_TEST_SETS}" value="${propertiesBean.properties[ALM_TEST_SETS]}" className="longField" cols="58" rows="5" expanded="true" linkTitle="Enter Test Sets to run"
                             note="A list of test set paths to be executed. Each test set starts from new line. Example: Root\Release\2.0"/>	   		
	   		<span class="error" id="error_${ALM_TEST_SETS}"></span>	   		
	   </td>   	
	</tr>
	<tr> 
	   <th>Run Mode: <l:star/></th>
	   <td>	   
	   		<props:selectProperty name="${ALM_RUN_MODE}">
	   			<c:set var="selectedMode" value="${propertiesBean.properties[ALM_RUN_MODE]}"/>
	            <c:forEach items="<%=AlmRunMode.values()%>" var="mode">	            
	              <props:option value="${mode}" selected="${mode==selectedMode}"><c:out value='${mode}'/></props:option>
	            </c:forEach>
         	</props:selectProperty>	   		
	   		<span class="error" id="error_${ALM_RUN_MODE}"></span>
	   		<span class="smallNote">Where to run test sets: locally, on scheduled host or remotely</span>
	   </td>   	
	</tr>
	<tr> 
	   <th>Run Host:</th>
	   <td>
	   		<props:textProperty name="${ALM_RUN_HOST}" value="${propertiesBean.properties[ALM_RUN_HOST]}" className="longField"/>
	   		<span class="error" id="error_${ALM_RUN_HOST}"></span>
	   		<span class="smallNote">Host on which test sets will be executed</span>
	   </td>   	
	</tr>
	<tr> 
	   <th>Timeout:</th>
	   <td>
	   		<props:textProperty name="${RUNNER_TIMEOUT}" value="${propertiesBean.properties[RUNNER_TIMEOUT]}" className="longField"/>
	   		<span class="error" id="error_${RUNNER_TIMEOUT}"></span>
	   		<span class="smallNote">The number of minutes to wait for test sets execution. 0 means wait indefinitely.</span>
	   </td>   	
	</tr>
 </l:settingsGroup>
   