Bumblebee = {};

Bumblebee.SettingsForm = OO.extend(BS.AbstractWebForm, {
	serializeParameters: function() {
	    return this.serializeForm(this.formElement())
	  },
	  serializeForm: function(form) {
		    var elements = Form.getElements(form);
		    var jQueryElementPrefix = BS.jQueryDropdown.namePrefix;
		    elements = elements.filter(function(element) {
		      return element.name.indexOf('prop:encrypted') == -1
		             && !element.name.endsWith(jQueryElementPrefix)
		             && !BS.Util.isParameterIgnored(element)
		          ;
		    });

		    var key, value, submitted = false, submit;

		    var data = elements.inject({ }, function(result, element) {
		      if (element.name) {
		        key = element.name; value = $(element).getValue();
		        if (value != null && (element.type != 'submit' || (!submitted &&
		            submit !== false && (!submit || key == submit) && (submitted = true)))) {
		          if (key in result) {
		            // a key is already present; construct an array of values
		            if (!_.isArray(result[key])) result[key] = [result[key]];
		            result[key].push(value);
		          }
		          else result[key] = value;
		        }
		      }
		      return result;
		    });

		    return Object.toQueryString(data);
		  },
		  
	submitSettings: function() {
	    $("submitSettings").value = 'store';
	    this.removeUpdateStateHandlers();
	    BS.FormSaver.save(this, this.formElement().action, OO.extend(BS.ErrorsAwareListener, this.createErrorListener()));

	    return false;
	  },

	  createErrorListener: function() {
	    var that = this;
	    return {
	      onAlmUrlError: function(elem) {
	        $("errorAlmUrl").innerHTML = elem.firstChild.nodeValue;
	        that.highlightErrorField($("almUrl"));
	      },
	      onBumblebeeUrlError: function(elem) {
		        $("errorBumblebeeUrl").innerHTML = elem.firstChild.nodeValue;
		        that.highlightErrorField($("bumblebeeUrl"));
		  },
		  onUserError: function(elem) {
		        $("errorUser").innerHTML = elem.firstChild.nodeValue;
		        that.highlightErrorField($("user"));
		  },
		  onPasswordError: function(elem) {
		        $("errorPassword").innerHTML = elem.firstChild.nodeValue;
		        that.highlightErrorField($("password"));
		  },
		  onUftRunnerPathError: function(elem) {
		        $("errorUftRunnerPath").innerHTML = elem.firstChild.nodeValue;
		        that.highlightErrorField($("uftRunnerPath"));
		  },
	      onCompleteSave: function(form, responseXML, err) {
	        BS.ErrorsAwareListener.onCompleteSave(form, responseXML, err);
	        if (!err) {
	        	BS.XMLResponse.processRedirect(responseXML);
	        }
	      }
	    }
	  },

	});